@import '../../../styles/variables';
@import '../../../styles/mixins';
.cart {
  &__tracker {
    &_container {
      list-style-type: none;
      padding-left: 0;
      margin-top: 2rem;
    }
    &_item {
      @include boxItem;
      position: relative;
      margin-bottom: 2rem;
      box-shadow: none;
      border: 1px solid rgba(#ccc, .5);
      padding: 0.5rem 1rem;
      border-radius: .5rem;
      
      &_step {
        display: inline-block;
        text-transform: capitalize;
        margin-right: 1rem;
        background-color: #f1f1f1;
        padding: 0 1rem;
        border-radius: 5rem;
        font-size: 1.2rem;

        &text {
          font-size: 1.2rem !important;
        }
      }
    }
  }
}

.flow {
  &__result {
  }
  &__steps {
    position: relative;
    &_container {
      list-style-type: none;
      padding-left: 0;
      margin-bottom: 2rem;
      margin-top: 1rem;
      padding: 0;
      position: relative;
    }
    &_item {
      background-color: #f1f1f1;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      // margin-right: 3rem;
      font-size: 1.2rem;
      padding: 1rem 5rem;
      text-align: center;
      position: relative;
      pointer-events: none;
      &_count {
        background-color: #fff;
        width: 3rem;
        height: 3rem;
        border-radius: 1.5rem;
        color: $secondary-color;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      clip-path: polygon(0% 0%, 75% 0%, 100% 50%, 75% 100%, 0% 100%);
      &_current {
        background-color: $secondary-color;
        color: #fff;
      }
      &_done {
        background-color: $success-color;
        color: #fff;
      }
      &:not(:first-child) {
        clip-path: polygon(75% 0%, 100% 50%, 75% 100%, 0% 100%, 25% 50%, 0% 0%);
        margin-left: -4rem;
      }
    }
  }
  &__domain {
    &_config {
      position: fixed;
      width: 23%;
      max-width: 23%;
    }
    &_step {
      background-color: $grey-color;
      margin-bottom: 1rem;
      padding: 0.5rem 2rem;
      color: $light-color;
      text-transform: uppercase;
      border-radius: 0.5rem;
      display: flex;
      align-items: center;
      &:not(:last-child) {
        margin-right: 1rem;
      }
    }
    &_selected {
      background-color: $primary-color;
    }
  }
}
